/**
 * Created by mgoria on 11/09/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GetCognitoRecordException = undefined;

var _Exception2 = require('./Exception');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Thrown when getting a record from a CognitoSync dataset failed
 */
let GetCognitoRecordException = exports.GetCognitoRecordException = function (_Exception) {
  _inherits(GetCognitoRecordException, _Exception);

  /**
   * @param {String} dataset
   * @param {String} record
   * @param {Object} error
   */
  function GetCognitoRecordException(dataset, record, error) {
    _classCallCheck(this, GetCognitoRecordException);

    return _possibleConstructorReturn(this, (GetCognitoRecordException.__proto__ || Object.getPrototypeOf(GetCognitoRecordException)).call(this, `Error on getting "${record}" record from "${dataset}" dataset. ${error}`));
  }

  return GetCognitoRecordException;
}(_Exception2.Exception);